> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Opt Out From Texting



## OpenAPI

````yaml put /comms/chat/{chat_id}/opt-out
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/chat/{chat_id}/opt-out:
    put:
      tags:
        - provider
        - comms
      summary: Opt Out From Texting
      operationId: opt_out_from_texting_comms_chat__chat_id__opt_out_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: chat_id
          in: path
          required: true
          schema:
            type: string
            title: Chat Id
        - name: status
          in: query
          required: false
          schema:
            type: boolean
            description: Clinic opt out status
            default: true
            title: Status
          description: Clinic opt out status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: Response Opt Out From Texting Comms Chat  Chat Id  Opt Out Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````